View Issue Details

IDProjectCategoryView StatusLast Update
0002258ADK-Xojo-V4RBClientpublic2007-06-01 03:05
ReporterStan BuskAssigned ToIvan Smahin 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.5.8 
Target VersionFixed in Version3.0.2 
Summary0002258: Opening a DB after doing some maintenance to it (thru a schema update function) causes a crash
DescriptionJust before opening a DB I use to apply some schema updates opening that DB as a VDatabase. When connecting to the server, I can open the DB once inside my schemaupdate function but when it comes to opening the DB for real use I get a 'Valentina #394504: Stream EOF reached.' exception followed by a server crash. If you omit the call to my schemaupdate function everything works fine.
TagsNo tags attached.

Relationships

related to 0002375 resolvedIvan Smahin VALENTINA SERVER vServer crashes w/ bus error on v4rb connection 

Activities

2007-03-20 10:41

 

ServerSchemaUpdate.zip (164,554 bytes)
Kim Kohen

Kim Kohen

2007-03-22 02:35

reporter   ~0002045

Last edited: 2007-03-22 02:36

I've seen this happen today also. I was accessing a 2.5.7 server with VStudio 2.5.8. Attempted to change a field type from varchar to datetime. VStudio threw the "Stream EOF reached" error followed by a VStudio crash and then VOffice Server crash. Did it several times in a row, even after updating Office server to 2.5.8. I found if I changed the field type to string, or text, then something else and THEN datetime it worked fine.

Issue History

Date Modified Username Field Change
2007-03-20 10:41 Stan Busk New Issue
2007-03-20 10:41 Stan Busk File Added: ServerSchemaUpdate.zip
2007-03-22 02:35 Kim Kohen Note Added: 0002045
2007-03-22 02:36 Kim Kohen Note Edited: 0002045
2007-04-23 05:54 Ivan Smahin Status new => assigned
2007-04-23 05:54 Ivan Smahin Assigned To => Ivan Smahin
2007-06-01 03:05 Ivan Smahin Resolution open => fixed
2007-06-01 03:05 Ivan Smahin Status assigned => resolved
2007-06-01 03:05 Ivan Smahin Fixed in Version => 3.0.2
2007-06-03 00:39 Ivan Smahin Relationship added related to 0002375